package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 弹性伸缩定时任务
 * 
 * @author ymh
 * @时间 2019年11月25日
 */
@Table("auto_scaling_timedtask")
public class AutoScalingTimedTask extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vendor_id")
    private Long vendorId; // 云供应商ID
    @Column("region_id")
    private String regionId;

    @Column("auto_scaling_id")
    private Long autoScalingId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getAutoScalingId() {
        return autoScalingId;
    }

    public void setAutoScalingId(Long autoScalingId) {
        this.autoScalingId = autoScalingId;
    }

}
